{ config, lib, ... }:

let
  cfg = config.ptw.hardware.amdcpu;
in {
  options.ptw.hardware.amdcpu = {
    enable = lib.mkEnableOption "Enable support for AMD CPUs";
  };

  config = lib.mkIf cfg.enable {
    hardware.cpu.amd.updateMicrocode = true;
  };
}
